java.io.IOException: Cannot run program "G:\Program Files (x86)\Minecraft\runtime\jre-x64\1.8.0_25\bin\javaw.exe" (in directory "G:\Users\Aidan\AppData\Roaming\.minecraft"): CreateProcess error=740, The requested operation requires elevation

Mojang JIRA | Aidan Crane | 2 years ago
  1. 0

    When loading minecraft from a separate disk than the OS, in this case, my Crucial SSD (C Drive) to the minecraft location set in my profile options (G Drive) the game crashes because of an IOException ' CreateProcess error=740, The requested operation requires elevation'. (I should also note that java is also installed on my G Drive). The crash can be seen from the Launcher log but not the game output. [23:56:31 ERROR]: Couldn't launch game java.io.IOException: Cannot run program "G:\Program Files (x86)\Minecraft\runtime\jre-x64\1.8.0_25\bin\javaw.exe" (in directory "G:\Users\Aidan\AppData\Roaming\.minecraft"): CreateProcess error=740, The requested operation requires elevation at java.lang.ProcessBuilder.start(ProcessBuilder.java:1048) ~[?:1.8.0_25] at com.mojang.launcher.game.process.direct.DirectGameProcessFactory.startGame(DirectGameProcessFactory.java:14) ~[launcher.jar:1.6.11] at net.minecraft.launcher.game.MinecraftGameRunner.launchGame(MinecraftGameRunner.java:208) [launcher.jar:1.6.11] at com.mojang.launcher.game.runner.AbstractGameRunner.onDownloadJobFinished(AbstractGameRunner.java:186) [launcher.jar:1.6.11] at com.mojang.launcher.updater.download.DownloadJob.popAndDownload(DownloadJob.java:122) [launcher.jar:1.6.11] at com.mojang.launcher.updater.download.DownloadJob.access$000(DownloadJob.java:12) [launcher.jar:1.6.11] at com.mojang.launcher.updater.download.DownloadJob$1.run(DownloadJob.java:86) [launcher.jar:1.6.11] at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [?:1.8.0_25] at java.util.concurrent.FutureTask.run(FutureTask.java:266) [?:1.8.0_25] at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [?:1.8.0_25] at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [?:1.8.0_25] at java.lang.Thread.run(Thread.java:745) [?:1.8.0_25] Caused by: java.io.IOException: CreateProcess error=740, The requested operation requires elevation at java.lang.ProcessImpl.create(Native Method) ~[?:1.8.0_25] at java.lang.ProcessImpl.<init>(ProcessImpl.java:386) ~[?:1.8.0_25] at java.lang.ProcessImpl.start(ProcessImpl.java:137) ~[?:1.8.0_25] at java.lang.ProcessBuilder.start(ProcessBuilder.java:1029) ~[?:1.8.0_25] ... 11 more [23:56:31 INFO]: Deleting C:\Users\Aidan\AppData\Roaming\.minecraft\versions\1.8.2\1.8.2-natives-50437422910334 The problem can be fixed by running the launcher as an administrator.

    Mojang JIRA | 2 years ago | Aidan Crane
    java.io.IOException: Cannot run program "G:\Program Files (x86)\Minecraft\runtime\jre-x64\1.8.0_25\bin\javaw.exe" (in directory "G:\Users\Aidan\AppData\Roaming\.minecraft"): CreateProcess error=740, The requested operation requires elevation
  2. 0

    [MCL-3208] java.lang.IllegalArgumentException: Version cannot be null - JIRA

    mojang.com | 1 year ago
    java.io.IOException: Cannot run program "C:\Program Files\Java\jre8\bin\javaw.exe" (in directory "C:\Users\Jarad\AppData\Roaming\.minecraft"): CreateProcess error=2, The system cannot find the file specified
  3. 0

    Post-It - [1.7]Bug de forge avec Java 8 | Minecraft-France

    minecraft-france.fr | 11 months ago
    java.io.IOException: Cannot run program "C:\Program Files (x86)\Java\jre7\bin\javaw.exe" (in directory "C:\Users\leandro\AppData\Roaming\.minecraft"): CreateProcess error=2, Le fichier spécifié est introuvable
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    The play button eternally says "Loading..." and next to the logout button it says "Loading versions..." Launcher Log: {code} [22:47:02 INFO]: Minecraft Launcher 1.6.5 (through bootstrap 4) started on windows... [22:47:02 INFO]: Current time is Dec 18, 2014 10:47:02 PM [22:47:02 INFO]: System.getProperty('os.name') == 'Windows 8.1' [22:47:02 INFO]: System.getProperty('os.version') == '6.3' [22:47:02 INFO]: System.getProperty('os.arch') == 'amd64' [22:47:02 INFO]: System.getProperty('java.version') == '1.8.0_25' [22:47:02 INFO]: System.getProperty('java.vendor') == 'Oracle Corporation' [22:47:02 INFO]: System.getProperty('sun.arch.data.model') == '64' [22:47:02 INFO]: proxy == DIRECT [22:47:02 INFO]: JFX is already initialized [22:47:02 INFO]: Refreshing local version list... [22:47:02 INFO]: Refreshing remote version list... [22:47:03 INFO]: Refresh complete. [22:47:03 ERROR]: Unexpected exception refreshing profile list java.lang.IllegalArgumentException: Version cannot be null at net.minecraft.launcher.updater.VersionList.getCompleteVersion(VersionList.java:61) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:210) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:253) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:240) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersionSyncInfo(MinecraftVersionManager.java:169) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersions(MinecraftVersionManager.java:103) ~[launcher.jar:1.6.5] at net.minecraft.launcher.game.GameLaunchDispatcher.getStatus(GameLaunchDispatcher.java:35) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayButtonPanel.checkState(PlayButtonPanel.java:94) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayButtonPanel.onProfilesRefreshed(PlayButtonPanel.java:90) ~[launcher.jar:1.6.5] at net.minecraft.launcher.profile.ProfileManager.fireRefreshEvent(ProfileManager.java:83) ~[launcher.jar:1.6.5] at net.minecraft.launcher.profile.ProfileManager.loadProfiles(ProfileManager.java:71) ~[launcher.jar:1.6.5] at net.minecraft.launcher.Launcher$2.run(Launcher.java:138) [launcher.jar:1.6.5] at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [?:1.8.0_25] at java.util.concurrent.FutureTask.run(FutureTask.java:266) [?:1.8.0_25] at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [?:1.8.0_25] at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [?:1.8.0_25] at java.lang.Thread.run(Thread.java:745) [?:1.8.0_25] [22:47:03 INFO]: Refreshing auth... [22:47:03 INFO]: Logging in with access token [22:47:03 FATAL]: Unhandled exception in thread Thread[AWT-EventQueue-0,6,main] java.lang.IllegalArgumentException: Version cannot be null at net.minecraft.launcher.updater.VersionList.getCompleteVersion(VersionList.java:61) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:210) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:253) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:240) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersionSyncInfo(MinecraftVersionManager.java:169) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersions(MinecraftVersionManager.java:103) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayerInfoPanel.checkState(PlayerInfoPanel.java:96) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayerInfoPanel$2.run(PlayerInfoPanel.java:78) ~[launcher.jar:1.6.5] at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311) ~[?:1.8.0_25] at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:744) ~[?:1.8.0_25] at java.awt.EventQueue.access$400(EventQueue.java:97) ~[?:1.8.0_25] at java.awt.EventQueue$3.run(EventQueue.java:697) ~[?:1.8.0_25] at java.awt.EventQueue$3.run(EventQueue.java:691) ~[?:1.8.0_25] at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_25] at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:75) ~[?:1.8.0_25] at java.awt.EventQueue.dispatchEvent(EventQueue.java:714) ~[?:1.8.0_25] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93) [?:1.8.0_25] at java.awt.EventDispatchThread.run(EventDispatchThread.java:82) [?:1.8.0_25] [22:47:03 FATAL]: Unhandled exception in thread Thread[AWT-EventQueue-0,6,main] java.lang.IllegalArgumentException: Version cannot be null at net.minecraft.launcher.updater.VersionList.getCompleteVersion(VersionList.java:61) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:210) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:253) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:240) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersionSyncInfo(MinecraftVersionManager.java:169) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersions(MinecraftVersionManager.java:103) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayerInfoPanel.checkState(PlayerInfoPanel.java:96) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayerInfoPanel$2.run(PlayerInfoPanel.java:78) ~[launcher.jar:1.6.5] at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311) ~[?:1.8.0_25] at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:744) ~[?:1.8.0_25] at java.awt.EventQueue.access$400(EventQueue.java:97) ~[?:1.8.0_25] at java.awt.EventQueue$3.run(EventQueue.java:697) ~[?:1.8.0_25] at java.awt.EventQueue$3.run(EventQueue.java:691) ~[?:1.8.0_25] at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_25] at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:75) ~[?:1.8.0_25] at java.awt.EventQueue.dispatchEvent(EventQueue.java:714) ~[?:1.8.0_25] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93) [?:1.8.0_25] at java.awt.EventDispatchThread.run(EventDispatchThread.java:82) [?:1.8.0_25] [22:47:03 ERROR]: Unhandled exception in executor com.mojang.launcher.updater.ExceptionalThreadPoolExecutor$ExceptionalFutureTask@223950b2 java.util.concurrent.ExecutionException: java.lang.IllegalArgumentException: Version cannot be null at java.util.concurrent.FutureTask.report(FutureTask.java:122) ~[?:1.8.0_25] at java.util.concurrent.FutureTask.get(FutureTask.java:192) ~[?:1.8.0_25] at com.mojang.launcher.updater.ExceptionalThreadPoolExecutor$ExceptionalFutureTask.done(ExceptionalThreadPoolExecutor.java:58) [launcher.jar:1.6.5] at java.util.concurrent.FutureTask.finishCompletion(FutureTask.java:384) [?:1.8.0_25] at java.util.concurrent.FutureTask.setException(FutureTask.java:251) [?:1.8.0_25] at java.util.concurrent.FutureTask.run(FutureTask.java:271) [?:1.8.0_25] at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [?:1.8.0_25] at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [?:1.8.0_25] at java.lang.Thread.run(Thread.java:745) [?:1.8.0_25] Caused by: java.lang.IllegalArgumentException: Version cannot be null at net.minecraft.launcher.updater.VersionList.getCompleteVersion(VersionList.java:61) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:210) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:253) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:240) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersionSyncInfo(MinecraftVersionManager.java:169) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersions(MinecraftVersionManager.java:103) ~[launcher.jar:1.6.5] at net.minecraft.launcher.game.GameLaunchDispatcher.getStatus(GameLaunchDispatcher.java:35) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayButtonPanel.checkState(PlayButtonPanel.java:94) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayButtonPanel.onProfilesRefreshed(PlayButtonPanel.java:90) ~[launcher.jar:1.6.5] at net.minecraft.launcher.profile.ProfileManager.fireRefreshEvent(ProfileManager.java:83) ~[launcher.jar:1.6.5] at net.minecraft.launcher.Launcher.ensureLoggedIn(Launcher.java:220) ~[launcher.jar:1.6.5] at net.minecraft.launcher.Launcher$2.run(Launcher.java:168) ~[launcher.jar:1.6.5] at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) ~[?:1.8.0_25] at java.util.concurrent.FutureTask.run(FutureTask.java:266) ~[?:1.8.0_25] ... 3 more {code}

    Mojang JIRA | 2 years ago | Nick Cipriani
    java.io.IOException: Cannot run program "C:\Program Files\Java\jre8\bin\javaw.exe" (in directory "C:\Users\Jarad\AppData\Roaming\.minecraft"): CreateProcess error=2, The system cannot find the file specified
  6. 0

    The play button eternally says "Loading..." and next to the logout button it says "Loading versions..." Launcher Log: {code} [22:47:02 INFO]: Minecraft Launcher 1.6.5 (through bootstrap 4) started on windows... [22:47:02 INFO]: Current time is Dec 18, 2014 10:47:02 PM [22:47:02 INFO]: System.getProperty('os.name') == 'Windows 8.1' [22:47:02 INFO]: System.getProperty('os.version') == '6.3' [22:47:02 INFO]: System.getProperty('os.arch') == 'amd64' [22:47:02 INFO]: System.getProperty('java.version') == '1.8.0_25' [22:47:02 INFO]: System.getProperty('java.vendor') == 'Oracle Corporation' [22:47:02 INFO]: System.getProperty('sun.arch.data.model') == '64' [22:47:02 INFO]: proxy == DIRECT [22:47:02 INFO]: JFX is already initialized [22:47:02 INFO]: Refreshing local version list... [22:47:02 INFO]: Refreshing remote version list... [22:47:03 INFO]: Refresh complete. [22:47:03 ERROR]: Unexpected exception refreshing profile list java.lang.IllegalArgumentException: Version cannot be null at net.minecraft.launcher.updater.VersionList.getCompleteVersion(VersionList.java:61) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:210) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:253) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:240) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersionSyncInfo(MinecraftVersionManager.java:169) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersions(MinecraftVersionManager.java:103) ~[launcher.jar:1.6.5] at net.minecraft.launcher.game.GameLaunchDispatcher.getStatus(GameLaunchDispatcher.java:35) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayButtonPanel.checkState(PlayButtonPanel.java:94) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayButtonPanel.onProfilesRefreshed(PlayButtonPanel.java:90) ~[launcher.jar:1.6.5] at net.minecraft.launcher.profile.ProfileManager.fireRefreshEvent(ProfileManager.java:83) ~[launcher.jar:1.6.5] at net.minecraft.launcher.profile.ProfileManager.loadProfiles(ProfileManager.java:71) ~[launcher.jar:1.6.5] at net.minecraft.launcher.Launcher$2.run(Launcher.java:138) [launcher.jar:1.6.5] at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [?:1.8.0_25] at java.util.concurrent.FutureTask.run(FutureTask.java:266) [?:1.8.0_25] at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [?:1.8.0_25] at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [?:1.8.0_25] at java.lang.Thread.run(Thread.java:745) [?:1.8.0_25] [22:47:03 INFO]: Refreshing auth... [22:47:03 INFO]: Logging in with access token [22:47:03 FATAL]: Unhandled exception in thread Thread[AWT-EventQueue-0,6,main] java.lang.IllegalArgumentException: Version cannot be null at net.minecraft.launcher.updater.VersionList.getCompleteVersion(VersionList.java:61) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:210) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:253) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:240) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersionSyncInfo(MinecraftVersionManager.java:169) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersions(MinecraftVersionManager.java:103) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayerInfoPanel.checkState(PlayerInfoPanel.java:96) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayerInfoPanel$2.run(PlayerInfoPanel.java:78) ~[launcher.jar:1.6.5] at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311) ~[?:1.8.0_25] at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:744) ~[?:1.8.0_25] at java.awt.EventQueue.access$400(EventQueue.java:97) ~[?:1.8.0_25] at java.awt.EventQueue$3.run(EventQueue.java:697) ~[?:1.8.0_25] at java.awt.EventQueue$3.run(EventQueue.java:691) ~[?:1.8.0_25] at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_25] at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:75) ~[?:1.8.0_25] at java.awt.EventQueue.dispatchEvent(EventQueue.java:714) ~[?:1.8.0_25] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93) [?:1.8.0_25] at java.awt.EventDispatchThread.run(EventDispatchThread.java:82) [?:1.8.0_25] [22:47:03 FATAL]: Unhandled exception in thread Thread[AWT-EventQueue-0,6,main] java.lang.IllegalArgumentException: Version cannot be null at net.minecraft.launcher.updater.VersionList.getCompleteVersion(VersionList.java:61) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:210) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:253) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:240) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersionSyncInfo(MinecraftVersionManager.java:169) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersions(MinecraftVersionManager.java:103) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayerInfoPanel.checkState(PlayerInfoPanel.java:96) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayerInfoPanel$2.run(PlayerInfoPanel.java:78) ~[launcher.jar:1.6.5] at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311) ~[?:1.8.0_25] at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:744) ~[?:1.8.0_25] at java.awt.EventQueue.access$400(EventQueue.java:97) ~[?:1.8.0_25] at java.awt.EventQueue$3.run(EventQueue.java:697) ~[?:1.8.0_25] at java.awt.EventQueue$3.run(EventQueue.java:691) ~[?:1.8.0_25] at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_25] at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:75) ~[?:1.8.0_25] at java.awt.EventQueue.dispatchEvent(EventQueue.java:714) ~[?:1.8.0_25] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101) [?:1.8.0_25] at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93) [?:1.8.0_25] at java.awt.EventDispatchThread.run(EventDispatchThread.java:82) [?:1.8.0_25] [22:47:03 ERROR]: Unhandled exception in executor com.mojang.launcher.updater.ExceptionalThreadPoolExecutor$ExceptionalFutureTask@223950b2 java.util.concurrent.ExecutionException: java.lang.IllegalArgumentException: Version cannot be null at java.util.concurrent.FutureTask.report(FutureTask.java:122) ~[?:1.8.0_25] at java.util.concurrent.FutureTask.get(FutureTask.java:192) ~[?:1.8.0_25] at com.mojang.launcher.updater.ExceptionalThreadPoolExecutor$ExceptionalFutureTask.done(ExceptionalThreadPoolExecutor.java:58) [launcher.jar:1.6.5] at java.util.concurrent.FutureTask.finishCompletion(FutureTask.java:384) [?:1.8.0_25] at java.util.concurrent.FutureTask.setException(FutureTask.java:251) [?:1.8.0_25] at java.util.concurrent.FutureTask.run(FutureTask.java:271) [?:1.8.0_25] at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [?:1.8.0_25] at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [?:1.8.0_25] at java.lang.Thread.run(Thread.java:745) [?:1.8.0_25] Caused by: java.lang.IllegalArgumentException: Version cannot be null at net.minecraft.launcher.updater.VersionList.getCompleteVersion(VersionList.java:61) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:210) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:253) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.CompleteMinecraftVersion.resolve(CompleteMinecraftVersion.java:240) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersionSyncInfo(MinecraftVersionManager.java:169) ~[launcher.jar:1.6.5] at net.minecraft.launcher.updater.MinecraftVersionManager.getVersions(MinecraftVersionManager.java:103) ~[launcher.jar:1.6.5] at net.minecraft.launcher.game.GameLaunchDispatcher.getStatus(GameLaunchDispatcher.java:35) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayButtonPanel.checkState(PlayButtonPanel.java:94) ~[launcher.jar:1.6.5] at net.minecraft.launcher.ui.bottombar.PlayButtonPanel.onProfilesRefreshed(PlayButtonPanel.java:90) ~[launcher.jar:1.6.5] at net.minecraft.launcher.profile.ProfileManager.fireRefreshEvent(ProfileManager.java:83) ~[launcher.jar:1.6.5] at net.minecraft.launcher.Launcher.ensureLoggedIn(Launcher.java:220) ~[launcher.jar:1.6.5] at net.minecraft.launcher.Launcher$2.run(Launcher.java:168) ~[launcher.jar:1.6.5] at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) ~[?:1.8.0_25] at java.util.concurrent.FutureTask.run(FutureTask.java:266) ~[?:1.8.0_25] ... 3 more {code}

    Mojang JIRA | 2 years ago | Nick Cipriani
    java.io.IOException: Cannot run program "C:\Program Files\Java\jre8\bin\javaw.exe" (in directory "C:\Users\Jarad\AppData\Roaming\.minecraft"): CreateProcess error=2, The system cannot find the file specified
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. java.io.IOException

    CreateProcess error=740, The requested operation requires elevation

    at java.lang.ProcessImpl.create()
  2. Java RT
    ProcessBuilder.start
    1. java.lang.ProcessImpl.create(Native Method)[?:1.8.0_25]
    2. java.lang.ProcessImpl.<init>(ProcessImpl.java:386)[?:1.8.0_25]
    3. java.lang.ProcessImpl.start(ProcessImpl.java:137)[?:1.8.0_25]
    4. java.lang.ProcessBuilder.start(ProcessBuilder.java:1029)[?:1.8.0_25]
    4 frames
  3. com.mojang.launcher
    DirectGameProcessFactory.startGame
    1. com.mojang.launcher.game.process.direct.DirectGameProcessFactory.startGame(DirectGameProcessFactory.java:14)[launcher.jar:1.6.11]
    1 frame
  4. net.minecraft.launcher
    MinecraftGameRunner.launchGame
    1. net.minecraft.launcher.game.MinecraftGameRunner.launchGame(MinecraftGameRunner.java:208)[launcher.jar:1.6.11]
    1 frame
  5. com.mojang.launcher
    DownloadJob$1.run
    1. com.mojang.launcher.game.runner.AbstractGameRunner.onDownloadJobFinished(AbstractGameRunner.java:186)[launcher.jar:1.6.11]
    2. com.mojang.launcher.updater.download.DownloadJob.popAndDownload(DownloadJob.java:122)[launcher.jar:1.6.11]
    3. com.mojang.launcher.updater.download.DownloadJob.access$000(DownloadJob.java:12)[launcher.jar:1.6.11]
    4. com.mojang.launcher.updater.download.DownloadJob$1.run(DownloadJob.java:86)[launcher.jar:1.6.11]
    4 frames
  6. Java RT
    Thread.run
    1. java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)[?:1.8.0_25]
    2. java.util.concurrent.FutureTask.run(FutureTask.java:266)[?:1.8.0_25]
    3. java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)[?:1.8.0_25]
    4. java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)[?:1.8.0_25]
    5. java.lang.Thread.run(Thread.java:745)[?:1.8.0_25]
    5 frames